Bulk Reverse Auto-populate Records

PUT /ws/rest/service/v2/bp/record/bulk

Purpose

To update Destination BP records upper form details from Source BP record Line items.

Note:

The destination BP must be of Simple type BP or Line Item type BP.

Request Format

Both input & output in JSON format in the body.

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Request

{

"options":

{

"bpname" : "Source BP name",

"project_number" :"P-0001",

"record_no":"record number in Source BP",

"bulk_type":"lineitem_to_upperform",

"li_picker_field":"Picker Data Element name",

"destination":{

"bpname" : "Destination BP name",

"field_mapping":{

"li_field0 (Data Element) in source BP":"upper_field0 (Data Element) in destination BP",

"li_field1":"upper_field1",

"li_field2":"upper_field2",

"li_field3":"upper_field3"

},

"filter" :[

{

"field_name":"Source BP Line item Data Element name",

"operator" :"eq",

"value":"Data Element Value"

},

{

"field_name":"ugenAmountCA",

"operator" :"eq",

"value":"100"

}

]

}

}

}

Note:

  • The "filter" in input JSON is optional. Only the records that match with the filter criteria will be Reverse Auto-populated.
  • The li_picker_field: BP Picker in the destination BP.
  • The bulk_type: Only the line item of the Upper form is supported.
  • The bpname: Is the source BP Name.

Supported Filter Operators

Operators Interpretation
eq +
Lt <
Lteq <=
gt >
gteq >=

Note:

The Filter field value must be placed inside double quotation marks (String).

Sample Response

{

"data": [ ],

"message": [ "success" ],

"status":200

}